Subject: best medicines with best discounts over the world!

From: Cialis <[email-masked]>
Date: Mon, 20 Aug 2007 19:25:17 +0300

What is CIALIS?

CIALIS is the only ED (Erectile Disfunction) tablet clinically proven to
work both up to 36 hours and in as fast as 30 minutes. And because CIALIS
has an extended period of effectiveness, you dont have the pressure to
perform within a few hours. You and your partner can relax and take your
time choosing the moment that is right for both of you.

Benefits of CIALIS 

 Works up to 36 hours  Works fast  Works Effectively  Keeps you ready 
No need to plan around meals  Used by millions of men   Buy CIALIS online!